9.5. Encodage au format MPEG
Précédent | Chapitre 9. Utilisation basique de MEncoder | Suivant

## 9.5. Encodage au format MPEG

MEncoder peut créer des fichiers au format MPEG (MPEG-PS). Habituellement, vous utilisez des formats vidéos comme le MPEG-1 ou MPEG-2 pour l'encodage vers des formats avec des contraintes spécifiques comme le SVCD, VCD, ou encore le DVD. Les exigences particulières de ces formats sont expliqués dans la section du guide de création d'un VCD ou DVD.

Pour changer le format du fichier final produit par MEncoder utilisez l'option `-of mpeg`.

Exemple :

    mencoder input.avi -of mpeg -ovc lavc
    -lavcopts vcodec=mpeg1video -oac copy
    autres_options -o
    sortie.mpg

Création d'un fichier MPEG-1 lisible sur un système basique comme peu l'être un MS Windows fraîchement installé :

    mencoder entree.avi -of mpeg -mpegopts
    format=mpeg1:tsaf:muxrate=2000 -o
    output.mpg -oac lavc -ovc lavc \
    -lavcopts acodec=mp2:abitrate=224:vcodec=mpeg1video:vbitrate=1152:keyint=15:mbd=2:aspect=4/3

Le même encodage, mais en utilisant le multiplexeur MPEG `libavformat` :

    mencoder entree.avi -o VCD.mpg -ofps 25 -vf scale=352:288,harddup -of lavf \
        -lavfopts format=mpg -oac lavc -lavcopts acodec=mp2:abitrate=224 -ovc lavc \
        -lavcopts vcodec=mpeg1video:vrc_buf_size=327:keyint=15:vrc_maxrate=1152:vbitrate=1152:vmax_b_frames=0

### Astuce:

Si, pour quelques raisons, la qualité vidéo de la seconde passe n'est pas satisfaisante, vous pouvez recommencer l'encodage avec un débit cible différent, à condition que vous ayez sauvegardé le fichier de statistiques de la passe précédente. Ceci est possible car le rôle premier du fichier de statistiques est d'enregistrer la compléxité de chaque trame, ce qui ne dépend pas fortement du débit. Cependant, if faut noter que vous obtiendrez de meilleurs résultats si toutes les passes utilisent un débit cible similaire.

Précédent | Niveau supérieur | Suivant
9.4. Encodage au format vidéo Sony PSP | Sommaire | 9.6. Redimensionnement des films